package com.caimei365.order.service;

/**
 * 订单推送服务
 *
 * @author : Charles
 * @date : 2021/7/15
 */
public interface MessagePushService {
    /**
     * 生成短链接
     *
     * @param length 链接长度
     * @param markId 跳转类型
     * @param url    跳转地址
     * @return
     */
    String getShortLink(int length, int markId, String url);

    /**
     * 请求发短信接口
     *
     * @param markId  短信类型
     * @param mobile  手机号
     * @param content 内容
     * @return
     */
    boolean getSendSms(int markId, String mobile, String content);
}
